<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/css" href="../css/data.css"?>
<form id="ds021cerfa15271" label="Achat-vente animaux : Icpe" xmlns="http://www.ge.fr/schema/1.2/form-manager" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.ge.fr/schema/1.2/form-manager http://svn.projet-ge.fr:8080/archiva/repository/xsd/form-manager/form-manager/1.2/form-manager-1.2.xsd">
	<group id="infosDeclarant" label="Le déclarant">
		<data id="personnePhysique" label="Le déclarant est-il une personne physique" mandatory="true" type="boolean">
			<value>yes</value>
		</data>
		<group id="infosPM" label="Informations personne morale">
			<if>not $personnePhysique</if>
			<data id="raisonSociale" label="Dénomination" mandatory="true" type="string(max:100)">
			</data>
			<data id="formeJuridique" label="Forme juridique" mandatory="true" type="string(max:50)">
			</data>
			<data id="siret" label="Siret" mandatory="false" type="SIRET" width="100%">
			</data>
			<data id="qualiteSignataire" label="Qualité du signataire" mandatory="true" type="string(max:50)">
			</data>
		</group>
	</group>
	<group id="infosInstallation" label="L'installation">
		<data id="siret" label="Siret" mandatory="true" type="SIRET" width="100%">
		</data>
		<data id="nomSite" label="Enseigne ou nom usuel du site" mandatory="true" type="string">
		</data>
		<data id="adresseDifferente" label="L'adresse est-elle différente de celle du déclarant" mandatory="true" type="boolean">
			<value>no</value>
		</data>
		<group id="infosAdresse" label="Adresse">
			<if>$adresseDifferente</if>
			<group id="cadreAdresse" label="Adresse">
				<data id="numeroVoie" label="Numéro de voie" mandatory="false" type="String(max:9)">
        </data>
				<data id="indiceVoie" label="Indice de répétition" mandatory="false" type="ComboBox(ref:'indice')"/>
				<data id="typeVoie" label="Type de voie" mandatory="true" type="ComboBox(ref:'type')">
        </data>
				<data id="nomVoie" label="Nom de la voie" mandatory="true" type="String(max:32)">
        </data>
				<data id="complementAdresse" label="Complément d'adresse" mandatory="false" type="String(max:38)">
        </data>
				<data id="distributionSpeciale" label="Distribution spéciale" mandatory="false" type="String(max:8)">
        </data>
				<data id="pays" label="Pays" mandatory="true" type="ComboBoxSelectExternal">
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/countries?maxResults=999&amp;orders=label:asc</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
							</external>
						</referential>
					</conftype>
					<value>
						<text id="FRXXXXX">France</text>
					</value>
				</data>
				<data id="codePostal" label="Code postal" mandatory="true" trigger="navigation.refresh(this,'_group.commune')" type="String(max:9,pattern:'^[0-9A-Z\\s\\-]{3,9}$')">
					<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
				</data>
				<data id="commune" label="Commune" mandatory="true" type="ComboBoxSelectExternal">
					<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
							</external>
						</referential>
					</conftype>
				</data>
				<data id="ville" label="Ville" mandatory="true" type="string(max:32)">
					<if>not Value('id').of(_group.pays).eq('FRXXXXX')</if>
				</data>
			</group>
		</group>
		<data id="contactDifferent" label="Les informations de contact sont-elles différentes de celle du déclarant" mandatory="true" type="boolean">
			<value>no</value>
		</data>
		<group id="infosContact" label="Informations de contact">
			<if>$contactDifferent</if>
			<group id="cadreContact" label="Coordonnnées de contact">
				<data id="telephone" label="Téléphone :" mandatory="true" type="CheckBoxes">
					<conftype>
						<referential>
							<text id="telephoneFixe">Téléphone fixe</text>
							<text id="telephoneMobile">Téléphone mobile</text>
						</referential>
					</conftype>
				</data>
				<group id="telephoneFixe" label="Téléphone fixe">
					<if>Value('id').of(_group.telephone).contains('telephoneFixe')</if>
					<data id="telephoneNum" label="Numéro de téléphone :" mandatory="true" type="Phone(displayExample:true)">
            </data>
				</group>
				<group id="telephoneMobile" label="Téléphone mobile">
					<if>Value('id').of(_group.telephone).contains('telephoneMobile')</if>
					<data id="telephoneNum" label="Numéro de téléphone :" mandatory="true" type="Phone(displayExample:true)">
            </data>
				</group>
				<data id="courriel" label="Courriel" mandatory="false" type="email">
        </data>
				<data id="siteWeb" label="Site Web" mandatory="false" type="string">
        </data>
			</group>
		</group>
		<group id="descriptionGenerale" label="Description générale">
			<data id="description" label="Description" mandatory="true" type="string">
			</data>
			<data id="existant" label="Sur le site le déclarant exploite déjà une installation classée relevant du régime" mandatory="false" type="CheckBoxes">
				<conftype>
					<referential>
						<text id="autorisation">Autorisation</text>
						<text id="enregistrement">Enregistrement</text>
						<text id="declaration">Déclaration</text>
					</referential>
				</conftype>
			</data>
		</group>
		<data id="plusieursDepartements" label="L'installation est-elle implantée sur plusieurs départements" mandatory="true" type="boolean">
			<value>no</value>
		</data>
		<group id="departements" label="Départements">
			<if>$plusieursDepartements</if>
			<data id="liste" label="Liste" mandatory="true" type="string">
			</data>
		</group>
		<data id="plusieursCommunes" label="L'installation est-elle implantée sur plusieurs communes" mandatory="true" type="boolean">
			<value>no</value>
		</data>
		<group id="communes" label="Communes">
			<if>$plusieursCommunes</if>
			<data id="liste" label="Liste" mandatory="true" type="string">
			</data>
		</group>
		<data id="permisConstruire" label="La mise en oeuvre de l'installation nécessite-t-elle un permis de construire" mandatory="true" type="boolean">
			<value>no</value>
		</data>
		<data id="natura2000" label="L'installation est-elle soumise a Natura 200" mandatory="true" type="boolean">
			<value>no</value>
		</data>
	</group>
	<group id="infosActivites" label="Les activités">
		<group id="cadreActivites[]" label="Nature et volume des activités" max-occurs="12">
			<help>Les informations concernant les champs sont disponibles sur https://aida.ineris.fr/</help>
			<data id="rubrique" label="Rubrique (AIDA)" mandatory="true" type="ComboBox(ref:'aida')">
        </data>
			<data id="rubriqueAutre" label="Autre rubrique (AIDA)" mandatory="true" type="string">
				<if>Value('id').of(_group.rubrique).eq('9999')</if>
			</data>
			<data id="designationAutre" label="Autre désignation (AIDA)" mandatory="true" type="string">
				<if>Value('id').of(_group.rubrique).eq('9999')</if>
			</data>
			<data id="alinea" label="Alinéa (AIDA)" mandatory="false" type="string">
        </data>
			<data id="capacite" label="Capacité (AIDA)" mandatory="true" type="string">
         </data>
			<data id="unite" label="Unité (AIDA)" mandatory="true" type="string">
        </data>
			<data id="regime" label="Régime de déclaration (AIDA)" mandatory="true" type="ComboBox">
				<help>D = simple, DC = avec contrôle périodique)</help>
				<conftype>
					<referential>
						<text id="d">D</text>
						<text id="dc">DC</text>
					</referential>
				</conftype>
			</data>
		</group>
		<data id="commentaires" label="Commentaires" mandatory="false" type="string">
		</data>
	</group>
	<group id="infosEaux" label="Les modes d'exploitation : Eau">
		<data id="prelevementEau" label="Prélèvement d'eau pour l'exploitation de l'installation" mandatory="true" type="boolean">
			<value>no</value>
		</data>
		<group id="infosPrelevementEau" label="Prélèvements">
			<if>$prelevementEau</if>
			<data id="typePrelevement" label="Type de prélèvements" mandatory="true" type="CheckBoxes">
				<conftype>
					<referential>
						<text id="reseauPublic">Réseau public</text>
						<text id="milieuNaturel">Milieu Naturel</text>
						<text id="forageSouterrain">Forage souterrain</text>
						<text id="autre">Autre</text>
					</referential>
				</conftype>
			</data>
			<data id="reseauPublic" label="Réseau public : volume en m3" mandatory="true" type="integer">
				<if>Value('id').of(_group.typePrelevement).contains('reseauPublic')</if>
			</data>
			<data id="milieuNaturel" label="Milieu Naturel : volume en m3" mandatory="true" type="integer">
				<if>Value('id').of(_group.typePrelevement).contains('milieuNaturel')</if>
			</data>
			<data id="forageSouterrain" label="Forage souterrain : volume en m3" mandatory="true" type="integer">
				<if>Value('id').of(_group.typePrelevement).contains('forageSouterrain')</if>
			</data>
			<data id="forageSouterrainHauteur" label="Forage souterrain de plus de 10 mètres de profondeur" mandatory="true" type="boolean">
				<if>Value('id').of(_group.typePrelevement).contains('forageSouterrain')</if>
				<value>no</value>
			</data>
			<data id="autre" label="Autre à préciser" mandatory="true" type="string">
				<if>Value('id').of(_group.typePrelevement).contains('autre')</if>
			</data>
		</group>
		<data id="rejetEau" label="Rejets d'eaux résiduaires issues de l'exploitation de l'installation" mandatory="true" type="boolean">
			<value>no</value>
		</data>
		<group id="infosRejetEau" label="Rejets">
			<if>$rejetEau</if>
			<data id="origine" label="Origine et nature des eaux résiduaires" mandatory="true" type="string">
			</data>
			<data id="exutoire" label="Exutoire des eaux résiduaires" mandatory="true" type="CheckBoxes">
				<conftype>
					<referential>
						<text id="reseauAssainissement">Réseau d'assainissement collectif avec station d'épuration</text>
						<text id="autreReseau">Milieu naturel ou réseau d'assainissement collectif sans station d'épuration</text>
					</referential>
				</conftype>
			</data>
			<data id="rejetMilieuNaturel" label="Volume maximum annuel rejeté dans le milieu naturel" mandatory="true" type="integer">
				<if>Value('id').of(_group.exutoire).contains('autreReseau')</if>
			</data>
			<data id="traitements" label="Traitements sur site des eaux résiduaires" mandatory="false" type="string">
			</data>
			<data id="commentaires" label="Autres commentaires sur le rejet des eaux résiduaires" mandatory="false" type="string">
			</data>
		</group>
	</group>
	<group id="infosRejets" label="Les modes d'exploitation : Autres déchets">
		<data id="epandage" label="Epandage de déchets sur ou dans des sols agricoles" mandatory="true" type="boolean">
			<value>no</value>
		</data>
		<group id="infosEpandage" label="Epandage : terrains agricoles">
			<if>$epandage</if>
			<data id="origine" label="Origine et nature des matières épandues" mandatory="true" type="string">
			</data>
			<data id="ilotsPac" label="Îlots PAC faisant partie du plan d'épandage" mandatory="true" type="string">
			</data>
			<data id="surface" label="Surface totale du plan d'épandage en ha" mandatory="true" type="integer">
			</data>
			<data id="volume" label="Capacité mensuelle de stockage des matières épandues" mandatory="true" type="integer">
			</data>
			<data id="azote" label="Rejet d'azote" mandatory="true" type="boolean">
				<value>no</value>
			</data>
			<group id="infosAzote" label="Informations sur les rejets d'azote">
				<if>$infosEpandage.azote</if>
				<data id="azoteVolume" label="Quantité d'azote inscrite au plan d'épandage (en kg N)" mandatory="true" type="integer">
				</data>
				<data id="azoteExploitation" label="- Dont épandue sur le terres de l'exploitation (en Kg N)" mandatory="true" type="integer">
				</data>
				<data id="azoteAutres" label="- Dont épandue sur le terres mises à disposition par un tiers (en Kg N)" mandatory="true" type="integer">
				</data>
				<data id="azoteProduite" label="- Dont produite sur l'installation (en Kg N)" mandatory="false" type="integer">
				</data>
				<data id="azoteTiers" label="- Dont provenant de tiers (en Kg N)" mandatory="false" type="integer">
				</data>
			</group>
		</group>
		<data id="atmosphere" label="Rejets dans l'atmosphere" mandatory="true" type="boolean">
			<value>no</value>
		</data>
		<group id="infosAtmosphere" label="Rejets dans l'atmosphère (fumées, gaz, poussières...)">
			<if>$atmosphere</if>
			<data id="origine" label="Origine et nature des rejets" mandatory="true" type="string">
			</data>
			<data id="traitements" label="Dispositifs de captation ou de traitement sur site" mandatory="false" type="string">
			</data>
			<data id="commentaires" label="Autres commentaires sur les rejets dans l'atmosphère" mandatory="false" type="string">
			</data>
		</group>
		<group id="infosDechets" label="Elimination des déchets et résidus de l'exploitation">
			<data id="collecte" label="Collecte des déchets par le service public" mandatory="true" type="boolean">
				<value>yes</value>
			</data>
			<data id="origine" label="Type de déchets et résidus issus de l'exploitation et filière de valorisation ou élimination" mandatory="false" type="string">
			</data>
		</group>
		<group id="infosSinistres" label="Dispositions prévues en cas de sinistre">
			<data id="incendie" label="Pour lutter contr les incendies" mandatory="true" type="CheckBoxes">
				<conftype>
					<referential>
						<text id="reseauPublic">Prise d'eau sur le réseau public</text>
						<text id="autre">Autre</text>
					</referential>
				</conftype>
			</data>
			<data id="autreIncendie" label="Autres moyens de lutte contre les incendies, préciser" mandatory="false" type="string">
				<if>Value('id').of(_group.incendie).contains('autre')</if>
			</data>
			<data id="autres" label="Autres moyens de secours dont dispose le déclarant" mandatory="false" type="string">
			</data>
		</group>
	</group>
	<group id="infosAgrements" label="Les demandes d'agrément liés au traitement des déchets">
		<data id="agrements" label="Demandes d'agréments en application de l'article L541-22 du ceode de l'environnement" mandatory="true" type="boolean">
			<value>no</value>
		</data>
		<group id="demandeAgrements" label="Informations concernant les demandes d'agrément">
			<if>$agrements</if>
			<group id="cadreAgrement[]" label="" max-occurs="25">
				<data id="nature" label="Nature des déchets" mandatory="true" type="string">
        </data>
				<data id="codifDechet" label="Codification déchets" mandatory="true" type="string">
        </data>
				<data id="traitement" label="Type de traitement" mandatory="true" type="string">
        </data>
				<data id="codifTraitement" label="Codification du traitement" mandatory="true" type="string">
        </data>
				<data id="quantite" label="Quantité maximale" mandatory="true" type="string">
        </data>
			</group>
		</group>
	</group>
	<group id="cadreIdentiteGroupe" label="Votre identité">
		<group id="cadreIdentite" label="Identité">
			<data id="civilite" label="Civilité" mandatory="true" type="Radios(inline:true)">
				<conftype>
					<referential>
						<text id="civiliteFeminin">Madame</text>
						<text id="civiliteMasculin">Monsieur</text>
					</referential>
				</conftype>
			</data>
			<data id="nomNaissance" label="Nom de naissance" mandatory="true" type="String(max:50)">
        </data>
			<data id="nomUsage" label="Nom d'usage" mandatory="false" type="String(max:50)">
        </data>
			<data id="prenoms[]" label="Prénom(s) dans l'ordre de l'état civil" mandatory="true" max-occurs="4" min-occurs="1" type="String(max:50)">
        </data>
		</group>
		<group id="cadreContact" label="Coordonnnées de contact">
			<data id="telephone" label="Téléphone :" mandatory="true" type="CheckBoxes">
				<conftype>
					<referential>
						<text id="telephoneFixe">Téléphone fixe</text>
						<text id="telephoneMobile">Téléphone mobile</text>
					</referential>
				</conftype>
			</data>
			<group id="telephoneFixe" label="Téléphone fixe">
				<if>Value('id').of(_group.telephone).contains('telephoneFixe')</if>
				<data id="telephoneNum" label="Numéro de téléphone :" mandatory="true" type="Phone(displayExample:true)">
            </data>
			</group>
			<group id="telephoneMobile" label="Téléphone mobile">
				<if>Value('id').of(_group.telephone).contains('telephoneMobile')</if>
				<data id="telephoneNum" label="Numéro de téléphone :" mandatory="true" type="Phone(displayExample:true)">
            </data>
			</group>
			<data id="courriel" label="Courriel" mandatory="false" type="email">
        </data>
			<data id="siteWeb" label="Site Web" mandatory="false" type="string">
        </data>
		</group>
		<group id="cadreAdresse" label="Adresse">
			<data id="numeroVoie" label="Numéro de voie" mandatory="false" type="String(max:9)">
        </data>
			<data id="indiceVoie" label="Indice de répétition" mandatory="false" type="ComboBox(ref:'indice')"/>
			<data id="typeVoie" label="Type de voie" mandatory="true" type="ComboBox(ref:'type')">
        </data>
			<data id="nomVoie" label="Nom de la voie" mandatory="true" type="String(max:32)">
        </data>
			<data id="complementAdresse" label="Complément d'adresse" mandatory="false" type="String(max:38)">
        </data>
			<data id="distributionSpeciale" label="Distribution spéciale" mandatory="false" type="String(max:8)">
        </data>
			<data id="pays" label="Pays" mandatory="true" type="ComboBoxSelectExternal">
				<conftype>
					<referential>
						<external>
							<url>${application.public.url}/api/directory/v2/ref/list/countries?maxResults=999&amp;orders=label:asc</url>
							<base>content</base>
							<id>{{entityId}}</id>
							<label>{{{label}}}</label>
						</external>
					</referential>
				</conftype>
				<value>
					<text id="FRXXXXX">France</text>
				</value>
			</data>
			<data id="codePostal" label="Code postal" mandatory="true" trigger="navigation.refresh(this,'_group.commune')" type="String(max:9,pattern:'^[0-9A-Z\\s\\-]{3,9}$')">
				<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
			</data>
			<data id="commune" label="Commune" mandatory="true" type="ComboBoxSelectExternal">
				<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
				<conftype>
					<referential>
						<external>
							<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
							<base>content</base>
							<id>{{entityId}}</id>
							<label>{{{label}}}</label>
						</external>
					</referential>
				</conftype>
			</data>
			<data id="ville" label="Ville" mandatory="true" type="string(max:32)">
				<if>not Value('id').of(_group.pays).eq('FRXXXXX')</if>
			</data>
		</group>
	</group>
	<group id="cadreSignatureGroupe" label="Votre signature">
		<group id="cadreSignature" label="Signature">
			<data id="soussigne" label="Je soussigné" mandatory="true" type="Radios(inline:true)">
				<conftype>
					<referential>
						<text id="signataireQualiteDeclarant">Le déclarant</text>
						<text id="signataireQualiteMandataire">Le mandataire ayant procuration</text>
					</referential>
				</conftype>
				<value>
					<text id="signataireQualiteDeclarant">Le déclarant</text>
				</value>
			</data>
			<data id="declarationHonneur" label="déclare sur l'honneur l'exactitude des informations saisies et signe la présente déclaration." type="BooleanCheckBox">
				<value>yes</value>
			</data>
			<group id="informationsMandataire" label="Coordonnées du mandataire">
				<if>Value('id').of($cadreSignature.soussigne).eq('signataireQualiteMandataire')</if>
				<data id="nomPrenomDenomination" label="Nom et prénom du mandataire ou dénomination sociale :" mandatory="true" type="String(max:100)"/>
				<group id="cadreAdresse" label="Adresse">
					<data id="numeroVoie" label="Numéro de voie" mandatory="false" type="String(max:9)">
        </data>
					<data id="indiceVoie" label="Indice de répétition" mandatory="false" type="ComboBox(ref:'indice')"/>
					<data id="typeVoie" label="Type de voie" mandatory="true" type="ComboBox(ref:'type')">
        </data>
					<data id="nomVoie" label="Nom de la voie" mandatory="true" type="String(max:32)">
        </data>
					<data id="complementAdresse" label="Complément d'adresse" mandatory="false" type="String(max:38)">
        </data>
					<data id="distributionSpeciale" label="Distribution spéciale" mandatory="false" type="String(max:8)">
        </data>
					<data id="pays" label="Pays" mandatory="true" type="ComboBoxSelectExternal">
						<conftype>
							<referential>
								<external>
									<url>${application.public.url}/api/directory/v2/ref/list/countries?maxResults=999&amp;orders=label:asc</url>
									<base>content</base>
									<id>{{entityId}}</id>
									<label>{{{label}}}</label>
								</external>
							</referential>
						</conftype>
						<value>
							<text id="FRXXXXX">France</text>
						</value>
					</data>
					<data id="codePostal" label="Code postal" mandatory="true" trigger="navigation.refresh(this,'_group.commune')" type="String(max:9,pattern:'^[0-9A-Z\\s\\-]{3,9}$')">
						<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
					</data>
					<data id="commune" label="Commune" mandatory="true" type="ComboBoxSelectExternal">
						<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
						<conftype>
							<referential>
								<external>
									<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
									<base>content</base>
									<id>{{entityId}}</id>
									<label>{{{label}}}</label>
								</external>
							</referential>
						</conftype>
					</data>
					<data id="ville" label="Ville" mandatory="true" type="string(max:32)">
						<if>not Value('id').of(_group.pays).eq('FRXXXXX')</if>
					</data>
				</group>
			</group>
			<data id="signatureLieu" label="Fait à" mandatory="true" type="String(max:32)">
            </data>
			<data id="signatureDate" label="Le" mandatory="true" type="DatePast">
			</data>
		</group>
	</group>
</form>